import { expect, test } from 'bun:test'
import path from 'path'
import { runMigrationSqlite, getOrCreateSqlite } from '@nano/sqlite'

import { Database } from 'bun:sqlite'

test('migration', async () => {
    const db = getOrCreateSqlite({ 'name': ':memory:', 'create': true, 'readwrite': true })
    await runMigrationSqlite(path.resolve(__dirname, './../src/migration'), db)

    // check for boxes
    const results = db.query("SELECT name FROM sqlite_master WHERE type='table' AND name='sessions'").get()

    expect(results).toEqual({ name: 'sessions' })
})
